Search documentation of tiger_stripe

# Stripe.Services.BillingPortal.SessionService (tiger_stripe v0.1.1)

Copy Markdown View Source

PortalSession

The Billing customer portal is a Stripe-hosted UI for subscription and billing management.

A portal configuration describes the functionality and features that you want to provide to your customers through the portal.

A portal session describes the instantiation of the customer portal for a particular customer. By visiting the session's URL, the customer can manage their subscriptions and billing details. For security reasons, sessions are short-lived and will expire if the customer does not visit the URL. Create sessions on-demand when customers intend to manage their subscriptions and billing details.

Related guide: Customer management

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a portal session

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a portal session

Creates a session of the customer portal.